Bug 187406 - [PATCH] sysutils/jdiskreport: update to 1.4.1
Summary: [PATCH] sysutils/jdiskreport: update to 1.4.1
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Pawel Pekala
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2014-03-10 01:50 UTC by Naram Qashat
Modified: 2014-03-25 18:50 UTC (History)
1 user (show)

See Also:


Attachments
jdiskreport-1.4.1.patch (1.68 KB, patch)
2014-03-10 01:50 UTC, Naram Qashat
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Naram Qashat 2014-03-10 01:50:00 UTC
- Update to 1.4.1
- Convert USE_ZIP to USES=zip
- Support staging

Port maintainer (jon@witchspace.com) is cc'd.

Generated with FreeBSD Port Tools 1.00.2014.03.03 (mode: update, diff: SVN)
Comment 1 Edwin Groothuis freebsd_committer 2014-03-10 01:50:10 UTC
Maintainer of sysutils/jdiskreport,

Please note that PR ports/187406 has just been submitted.

If it contains a patch for an upgrade, an enhancement or a bug fix
you agree on, reply to this email stating that you approve the patch
and a committer will take care of it.

The full text of the PR can be found at:
    http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/187406

-- 
Edwin Groothuis via the GNATS Auto Assign Tool
edwin@FreeBSD.org
Comment 2 Edwin Groothuis freebsd_committer 2014-03-10 01:50:11 UTC
State Changed
From-To: open->feedback

Awaiting maintainers feedback (via the GNATS Auto Assign Tool)
Comment 3 Pawel Pekala freebsd_committer 2014-03-25 16:54:03 UTC
Responsible Changed
From-To: freebsd-ports-bugs->pawel

I'll take it.
Comment 4 dfilter service freebsd_committer 2014-03-25 18:46:34 UTC
Author: pawel
Date: Tue Mar 25 18:46:31 2014
New Revision: 349169
URL: http://svnweb.freebsd.org/changeset/ports/349169
QAT: https://qat.redports.org/buildarchive/r349169/

Log:
  - Update to 1.4.1
  - Convert USE_ZIP to USES=zip
  - Support staging
  
  PR:		ports/187406
  Submitted by:	Naram Qashat <cyberbotx@cyberbotx.com>
  Approved by:	maintainer timeout

Modified:
  head/sysutils/jdiskreport/Makefile
  head/sysutils/jdiskreport/distinfo

Modified: head/sysutils/jdiskreport/Makefile
==============================================================================
--- head/sysutils/jdiskreport/Makefile	Tue Mar 25 18:40:44 2014	(r349168)
+++ head/sysutils/jdiskreport/Makefile	Tue Mar 25 18:46:31 2014	(r349169)
@@ -2,8 +2,7 @@
 # $FreeBSD$
 
 PORTNAME=	jdiskreport
-PORTVERSION=	1.4.0
-PORTREVISION=	1
+PORTVERSION=	1.4.1
 CATEGORIES=	sysutils java
 MASTER_SITES=	http://www.jGoodies.com/download/${PORTNAME}/
 DISTNAME=	${PORTNAME}-${PORTVERSION:S,.,_,g}
@@ -23,9 +22,8 @@ JAVAVM?=	${LOCALBASE}/bin/java
 JDISKDIR?=	${PREFIX}/lib/jdiskreport
 
 DESKTOP_ENTRIES="JDiskReport" "${COMMENT}" "" "jdiskreport" \
-		"System;Filesystem;" "false"
+		"System;Filesystem;" false
 
-NO_STAGE=	yes
 do-build:
 	@cd ${WRKDIR}
 	@${SED} -e 's,%%JDISKDIR%%,${JDISKDIR},g' \
@@ -34,8 +32,9 @@ do-build:
 		> ${WRKDIR}/jdiskreport
 
 do-install:
-	@${INSTALL_SCRIPT} ${WRKDIR}/jdiskreport ${PREFIX}/bin
-	-@${MKDIR} ${JDISKDIR}
-	@${INSTALL_DATA} ${WRKDIR}/${PORTNAME}-${PORTVERSION}/jdiskreport-${PORTVERSION}.jar ${JDISKDIR}
+	@${INSTALL_SCRIPT} ${WRKDIR}/jdiskreport ${STAGEDIR}${PREFIX}/bin
+	-@${MKDIR} ${STAGEDIR}${JDISKDIR}
+	@${INSTALL_DATA} ${WRKSRC:S|_|.|g}/jdiskreport-${PORTVERSION}.jar \
+		${STAGEDIR}${JDISKDIR}
 
 .include <bsd.port.mk>

Modified: head/sysutils/jdiskreport/distinfo
==============================================================================
--- head/sysutils/jdiskreport/distinfo	Tue Mar 25 18:40:44 2014	(r349168)
+++ head/sysutils/jdiskreport/distinfo	Tue Mar 25 18:46:31 2014	(r349169)
@@ -1,2 +1,2 @@
-SHA256 (jdiskreport-1_4_0.zip) = 6d92afaf201e094c0413cc6b62926bda29879fc79f92a4bea73ca10b1019a44f
-SIZE (jdiskreport-1_4_0.zip) = 757544
+SHA256 (jdiskreport-1_4_1.zip) = a834d3b50bcba0711caff7284103c16025c03057ea6ebfc34a3ac1a5f9fcb534
+SIZE (jdiskreport-1_4_1.zip) = 864613
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 5 Pawel Pekala freebsd_committer 2014-03-25 18:47:15 UTC
State Changed
From-To: feedback->closed

Committed. Thanks!